# IShowBackBufferWindow Struct Reference

Inheritance diagram for IShowBackBufferWindow:

List of all members.

## Public Member Functions
virtual SystWindowPtr MCCOMAPI | GetSystemWindowPtr ()=0
virtual void MCCOMAPI | SetBoundsOnScreen (const TMCRect &inBounds)=0
virtual void MCCOMAPI | GetBoundsOnScreen (TMCRect &outBounds)=0
virtual void MCCOMAPI | CaptureBackBuffer ()=0
virtual void MCCOMAPI | Show (boolean beVisible, boolean doActivate)=0
virtual void MCCOMAPI | SendBehindApplication ()=0
virtual void MCCOMAPI | SendBehind (SystWindowPtr window)=0
virtual void MCCOMAPI | BringToFront ()=0
virtual void MCCOMAPI | ForceAppBackBufferBlit (const TMCRect &screenUpdateBounds)=0
virtual boolean MCCOMAPI | HasValidRect ()=0
virtual TMCPlatformWindow *MCCOMAPI | GetPlatformWindow ()=0

## Member Function Documentation

virtual void MCCOMAPI IShowBackBufferWindow::BringToFront | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::CaptureBackBuffer | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::ForceAppBackBufferBlit | ( | const TMCRect & | screenUpdateBounds | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::GetBoundsOnScreen | ( | TMCRect & | outBounds | ) | `[pure virtual]`

virtual TMCPlatformWindow* MCCOMAPI IShowBackBufferWindow::GetPlatformWindow | ( |  | ) | `[pure virtual]`

virtual SystWindowPtr MCCOMAPI IShowBackBufferWindow::GetSystemWindowPtr | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShowBackBufferWindow::HasValidRect | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::SendBehind | ( | SystWindowPtr | window | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::SendBehindApplication | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::SetBoundsOnScreen | ( | const TMCRect & | inBounds | ) | `[pure virtual]`

virtual void MCCOMAPI IShowBackBufferWindow::Show | ( | boolean | beVisible,
|  | boolean | doActivate |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShowBackBufferWindow.h